## For You

Settings
Back
Favorite Options

# Home for the Holidays

The Shire Choir
Holiday • 2024 • 12 songs, 41 minutes 9 seconds

1. Fa-La-La-Fellowship 3:27
2. Sleigh Ride 2:36
3. All I Want For Christmas Is Stew 2:51
4. Rockin' Around the Christmas Ent 3:05
5. Merry, Did You Know? 1:56
6. Run Run Shadowfax 3:32
7. You're a Mean One, Mr. Grima 2:46
8. O Come, All Ye Faithful 3:27
9. Do You Hear What I Hear 2:13
10. Carol of the Horns 2:55
11. Silent Night 3:10
12. Wizard Wonderland 3:22

## More You Might Like

Festival of Lights Station
Holiday Cheer Essential Playlist
Nursery Rhymes from the Shire The Shire Choir